<script setup>
import { Link } from '@inertiajs/vue3';
import Catalog from '@/Components/Catalog.vue';
const links = [
    {
        name: 'Комплектующие',
        route: 'engi.index',
        params: {param: 'items'},
    },
    {
        name: 'Детали',
        route: 'engi.index',
        params: {param: 'details'},
    },
    {
        name: 'Оборудование',
        route: 'engi.index',
        params: {param: 'equipments'},
    },
    {
        name: 'Материалы',
        route: 'engi.materials',
        params: {},
    },
    {
        name: 'Единицы измерения',
        route: 'engi.measureunits',
        params: {},
    },
];
</script>
<template>
    <div class="nav__row">
        <Link :href="route('home')" :class="{ 'active': $page.url === '/' }" class="nav__item">
            Главная
        </Link>
        <Catalog  v-if="$page.props.auth.user.role_id > 1"></Catalog>
        {{ $page.param }}
    </div>
    <div class="nav__row" :class="{'hidden': !route().current('engi.*')}" v-if="$page.props.auth.user.role_id > 1">
        <template v-for="link in links">
            <Link :href="route(link.route, link.params)" :class="{ 'active' : route().current(link.route, link.params) }" class="nav__item lesser">
            {{ link.name }}
        </Link>
        </template>
    </div>
</template>
